<template>
  <el-row class="page-contests__body">
    <h1 style="margin-top: 0">
      Danh sách người hiến tạng
    </h1>

    <ListDonar :data="tableData" />
  </el-row>
</template>

<script>
import { listDonor } from '~/api/list-donor'
import ListDonar from '~/components/dashboard/ListDonar.vue'

export default {
  layout: 'dashboard',

  components: {
    ListDonar
  },

  data: () => ({
    tableData: []
  }),

  async mounted () {
    const { data } = await listDonor(this.$route.query)
    this.tableData = data
  },

  watchQuery: true
}
</script>
